## go-rsm

go-rsm

## Functions

gconstpointer | go_rsm_lookup ()
void | go_rsm_register_file ()
void | go_rsm_unregister_file ()

## Description

## Functions

### go_rsm_lookup ()

    gconstpointer
    go_rsm_lookup (const char *id,
                   size_t *len);

Looks up a resource in the resource manager.

#### Parameters

id | resource name |
len | where to store the resource size in bytes. | [out][optional]

#### Returns

the resource data or `NULL` if not found.

[transfer none][nullable]

### go_rsm_register_file ()

    void
    go_rsm_register_file (const char *id,
                          gconstpointer data,
                          size_t len);

Registers a resource with the resource manager.

#### Parameters

id | resource name |
data | resource data |
len | resource size in bytes |

### go_rsm_unregister_file ()

    void
    go_rsm_unregister_file (const char *id);

Unregisters a resource from the resource manager.

#### Parameters

id | resource name |